# /etc/profile.d/cued.sh 
# Local additions to /etc/profile to simulate Teaching System environment
# This should be kept to the bare minimum every user needs.

# determine uid and gid
uid=`id -u`
gid=`id -g`

sh_help() { builtin help $*; }
help() { /usr/local/bin/help $*; }
        no_proxy=eng.cam.ac.uk
        export no_proxy

# Default umask
umask 0077
# set umask more permissively if uid == gid or uid+100000 = gid
if [ $uid -eq $gid ]
then
	umask 0007
fi
let uid2=$uid+100000
if [ $uid2 -eq $gid ]
then
	umask 0007
fi

# If no user .profile, run system one unless we are root
if [ $uid -ne 0 ] && [ ! -r $HOME/.profile ]
then
  . /usr/local/etc/d.profile
fi
