# CUED default .profile for /bin/sh, /bin/bash or /bin/ksh initialization.
# Executed if user has no .profile in his/her home directory

# /usr/local/etc/d.profile
# Add users bin directory to path
PATH=$HOME/bin:$PATH

# Set up the shell environment:
export PS1="\h:\w% "
export PS2="> "
export EDITOR=emacs

# Don't treat unset environment variables as an error on evaluation
set +u

# soft and hard limit cputime to 1 day for gate servers
ulimit -St 86400
ulimit -Ht 86400
